Bulk Retry DLQ messages
Retry delivery of multiple messages from the DLQ
curl --request POST \
--url https://qstash-{region}.upstash.io/v2/dlq/retry \
--header 'Authorization: Bearer <token>'{
"cursor": "<string>",
"responses": [
{
"messageId": "<string>",
"deduplicated": true
}
]
}Authorization
Bearer authentication header of the form Bearer <token>.
Query parameters
List of DLQ IDs to retry. If provided, other filters are ignored.
Filter DLQ messages by message ID
Filter DLQ messages by destination URL. Supports multiple values.
Filter DLQ messages by URL Group name. Supports multiple values.
Filter DLQ messages by schedule ID. Supports multiple values.
Filter DLQ messages by queue name. Supports multiple values.
Filter DLQ messages by starting date, in milliseconds (Unix timestamp). This is inclusive.
Filter DLQ messages by ending date, in milliseconds (Unix timestamp). This is inclusive.
Filter DLQ messages by HTTP response status code of the last delivery attempt. Supports multiple values.
Filter DLQ messages by IP address of the publisher. Supports multiple values.
Filter DLQ messages by label. Supports multiple values. You can pass multiple values to match messages with any of the given labels (OR logic).
Examples:
label=my_labellabel=label_1&label=label_2label=label_1,label_2
Filter DLQ messages by Flow Control Key. Supports multiple values.
Response
201 — Messages retry initiated successfully
A cursor which you can use in subsequent requests to paginate through all messages. If no cursor is returned, you have reached the end of the messages.
404 — Some messages were not found in the DLQ
Error message